/*
 * Copyright 2002-2008 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.springframework.config.java.plugin.aop;

import org.springframework.config.java.plugin.AbstractDeclaration;
import org.springframework.config.java.plugin.ProxyTargetClass;
import org.springframework.config.java.plugin.ProxyTargetClassDeclaration;


/** TODO: JAVADOC */
class AspectJAutoProxyDeclaration extends AbstractDeclaration implements ProxyTargetClassDeclaration {

    private ProxyTargetClass proxyTargetClass;

    private String[] includePatterns;


    public void setProxyTargetClass(ProxyTargetClass proxyTargetClass) {
        this.proxyTargetClass = proxyTargetClass;
    }

    public ProxyTargetClass getProxyTargetClass() {
        return proxyTargetClass;
    }

    public void setIncludePatterns(String[] include) {
        this.includePatterns = include;
    }

    public String[] getIncludePatterns() {
        return includePatterns;
    }

}
